cURL
curl --request GET \ --url https://api.example.com/api/semantic-models/review/pending \ --header 'Authorization: Bearer <token>'
{ "models": [ { "name": "<string>", "domain_urn": "<string>", "domain_name": "<string>", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "source_tables": "<string>", "generated_sql": "<string>", "approved_sql": "<string>", "target_catalog": "<string>", "target_schema": "<string>", "view_name": "<string>", "status": "draft", "ai_confidence_score": 123, "ai_reasoning": "<string>", "generation_task_id": "<string>", "reviewed_by": "<string>", "reviewed_at": "2023-11-07T05:31:56Z", "review_notes": "<string>", "schedule_cron": "<string>", "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_by": "<string>", "owner_id": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "deployed_at": "2023-11-07T05:31:56Z", "external_id": "<string>", "version": 123, "parent_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "description": "", "columns": [], "source_tables_list": [] } ], "total_count": 123 }
Get all semantic models pending human review, optionally filtered by domain.
Required Role: nx1_semantic_admin
The access token received from the authorization server in the OAuth 2.0 flow.
Filter by domain name
1 <= x <= 200
Models pending review
Response for models pending review.
Show child attributes
Was this page helpful?